Subject: Re: linux-next: manual merge of the tip tree with the slab tree

From: Tejun Heo <[email-masked]>
Date: Thu, 23 Sep 2010 11:46:34 +0200

On 09/23/2010 11:33 AM, Pekka Enberg wrote:
> On Thu, Sep 23, 2010 at 6:44 AM, Stephen Rothwell <[email-masked]> wrote:
>> Today's linux-next merge of the tip tree got a conflict in
>> include/linux/percpu.h between commit
>> 6fc80ef491b981f59233beaf6aeaccc0c947031d ("percpu: use percpu allocator
>> on UP too") from the slab tree and commit
>> 8b8e2ec1eeca7f6941bc81cefc9663018d6ceb57 ("percpu: Add {get,put}
>> _cpu_ptr") from the tip tree.
>>
>> Just context changes.  I fixed it up (see below) and can carry the fix as
>> necessary.
> 
> Why are we seeing a merge conflict here? I cherry-picked patches from
> Tejun's for-next branch but didn't modify them.

That's a different one coming from the perf tree.  get_cpu_ptr() is
only used by perf at this point so it got routed through there, so the
conflict.  Nothing to worry about.

Thanks.

-- 
tejun